#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define kdepim_version 5.11.3

Summary:        Akonadi Calendar Tools
Name:           akonadi-calendar-tools
Version: 20.12.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5KDELibs4Support)

BuildRequires:  cmake(KF5Akonadi) >= %kdepim_version
BuildRequires:  cmake(KF5Contacts) >= %kdepim_version
BuildRequires:  cmake(KF5CalendarCore) >= %kdepim_version
BuildRequires:  cmake(KF5AkonadiContact) >= %kdepim_version
BuildRequires:  cmake(KF5CalendarUtils) >= %kdepim_version
BuildRequires:  cmake(KF5AkonadiCalendar) >= %kdepim_version
BuildRequires:  cmake(KF5Libkdepim) >= %kdepim_version
BuildRequires:  cmake(KF5CalendarSupport) >= %kdepim_version


%description
Akonadi Calendar Tools.

%files -f %name.lang
%_kf5_categoriesdir/console.categories
%_kf5_categoriesdir/console.renamecategories
%_kf5_bindir/calendarjanitor
%_kf5_bindir/konsolekalendar
%_kf5_applicationsdir/konsolekalendar.desktop
%_kf5_iconsdir/*/*/*/konsolekalendar.*

#Split in it own handbook package
%doc   %_docdir/HTML/*/konsolekalendar

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655516
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643902
- New version 20.08.3
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633707
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1626960
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614824
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604024
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596755
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584407
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568038
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559228
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540879
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513198
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466842
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457802
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447788
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424892
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390351
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387555
- New version 19.03.90

* Fri Mar 29 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1381213
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375427
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365470
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356405
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339419
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332650
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327303
- New version 18.08.2

* Fri Sep 21 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1294238
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1228856
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201800
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194824
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1191048
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1142941
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136642
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-3.mga7
+ Revision: 1133527
- Fix for new find_lang

* Fri Jul 28 2017 neoclust <neoclust> 17.04.3-2.mga7
+ Revision: 1131642
- Rebuild now that BS is fixed
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089979
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076714
- New version 16.12.0

* Sat Dec 10 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073973
- imported package akonadi-calendar-tools

